#
# spec file for package xfntkr (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xfntkr
Copyright:    distributable
Group:        Extensions/Korean
Autoreqprov:  on
Summary:      Korean hangul X11 fonts
Version:      2.1
Release:      158
Source0:      korean-fonts.tar.gz
Source1:      hanyang-fonts.tar.gz
Source2:      johab-fonts.tar.gz
Prereq:       /usr/X11R6/bin/mkfontdir
BuildArchitectures:    noarch
BuildRoot:    %{_tmppath}/%{name}-root

%description
Korean hangul X11 fonts

SuSE series: han

%prep
%setup -q -n xfntkr -c -a 1 -a 2
 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
############################################################################
# MKDIR FONTDIR.............................................................
############################################################################
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/misc
############################################################################
# INSTALL FONT..............................................................
############################################################################
install -m 644 hanyang-fonts/* %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 644 johab-fonts/*   %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 644 korean-fonts/*  %{buildroot}/usr/X11R6/lib/X11/fonts/misc
rm -rf %{buildroot}/usr/X11R6/lib/X11/fonts/misc/fonts.dir

%clean
rm -rf %{buildroot}

%post 
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
FDIR="usr/X11R6/lib/X11/fonts/misc"
echo "Updating X11 font directory $FDIR ..."
if [ -x usr/X11R6/bin/mkfontdir ] ; then
    usr/X11R6/bin/mkfontdir $FDIR
fi

%postun 
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
FDIR="usr/X11R6/lib/X11/fonts/misc"
echo "Updating X11 font directory $FDIR ..."
if [ -x usr/X11R6/bin/mkfontdir ] ; then
    usr/X11R6/bin/mkfontdir $FDIR
fi

%files
%attr(644,root,root) /usr/X11R6/lib/X11/fonts/misc/*

%changelog -n xfntkr
* Wed Jan 10 2001 - mfabian@suse.de
- improved %%post and %%postun scripts. The previous version
  can fail when this package is installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Wed Jan 03 2001 - violiet@susekorea.net
- NEW JOHAB FONT........
- Group change: User Interface/Korean -> Extensions/Korean.
- SPEC clean.
* Tue Aug 29 2000 - mfabian@suse.de
- test whether mkfontdir is available
* Mon Aug 21 2000 - mfabian@suse.de
- new package. I used the source-rpm received from
  www.susekorea.net and changed it a little bit to comply
  with the usual SuSE style.
